[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#323849: locales: error on install: double free or corruption

Package: locales
Version: 2.3.5-3
Severity: normal

My system is mostly testing, but I upgraded parts to unstable,
including glibc.  During that same upgrade, I got the error:
Setting up locales (2.3.5-3) ...
Generating locales (this might take a while)...
  en_US.ISO-8859-1... done
  en_US.UTF-8... done
  eu_ES.ISO-8859-1... done
  eu_ES.ISO-8859-15@euro... done
  fr_FR.ISO-8859-1... done
  fr_FR.UTF-8... done
  fr_FR.ISO-8859-15@euro... done
Generation complete.
*** glibc detected *** double free or corruption (!prev): 0x089a79c8 ***
dpkg: error processing locales (--configure):
 subprocess post-installation script killed by signal (Aborted)
This followed

# apt-get -qt unstable install libgal2.4-common
Reading Package Lists...
Building Dependency Tree...
The following extra packages will be installed:
  dbus-1 dbus-glib-1 libc6 libc6-dbg libc6-dev libc6-prof libgal2.4-0 libgnomevfs2-0
  libgnomevfs2-common libhal-storage0 libhal0 locales
Recommended packages:
  gamin fam
The following NEW packages will be installed:
  dbus-1 dbus-glib-1 libhal-storage0 libhal0
The following packages will be upgraded:
  libc6 libc6-dbg libc6-dev libc6-prof libgal2.4-0 libgal2.4-common libgnomevfs2-0 libgnomevfs2-common
9 upgraded, 4 newly installed, 0 to remove and 349 not upgraded.

I don't know how serious this is, or even if the problem really lies
with locales.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (600, 'testing'), (500, 'stable'), (50, 'unstable'), (40, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.27adnvcd
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages locales depends on:
ii  debconf                       1.4.52     Debian configuration management sy
ii  libc6 [glibc-2.3.5-3]         2.3.5-3    GNU C Library: Shared libraries an

locales recommends no packages.

-- debconf information:
* locales/default_environment_locale: None
* locales/locales_to_be_generated: en_US ISO-8859-1, en_US.UTF-8 UTF-8, eu_ES ISO-8859-1, eu_ES@euro ISO-8859-15, fr_FR ISO-8859-1, fr_FR.UTF-8 UTF-8, fr_FR@euro ISO-8859-15

Reply to: